	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Extrude Path/Input/Spacing/EP Extrude Spacing Setout.py;
	# Created by Bill Wood VW2020 25/4/2020
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "EP Spacing Setout" )
		this.SetDescription( 'Select spacing setout option for extrude spacing' )
	
		#OIP Controls
		spacingOptions = ['From Start','From End','Centred','Equal']
		spacingtype = Marionette.OIPControl('Spacing Setout', Marionette.WidgetType.Popup, 0, spacingOptions)
		spacingtype.SetDescription( "The spacing setout for an extrude spacing plugin" )
	
		#Output Ports
		setout = Marionette.PortOut('Type')
		setout.SetDescription( "The resultant spacing setout" )
	
	#BEHAVIOR
	
	def RunNode(self):
		#outputs
		option = self.Params.spacingOptions[self.Params.spacingtype.value]
		self.Params.setout.value = {'SS':option}