	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Extrude Path/Shapes/Other/EP Circle.py;
	# Created by Bill Wood 29/7/18
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "EP Circle" )
		this.SetDescription( 'Extrude path circle shape definition.' )
	
		#OIP Input Controls
		circwidth = Marionette.OIPControl( 'X Diameter', Marionette.WidgetType.RealCoord, 1)
		circwidth.SetDescription( "Shape circle X diameter" )
	
		circheight = Marionette.OIPControl( 'Y Diameter', Marionette.WidgetType.RealCoord, 1)
		circheight.SetDescription( "Shape circle Y diameter" )
	
		circthick = Marionette.OIPControl( 'Thickness', Marionette.WidgetType.RealCoord, 0)
		circthick.SetDescription( "Shape circle thickness" )
	
		#Output Ports
		shape = Marionette.PortOut('Shape')
		shape.SetDescription( "The resultant circle shape" )
	
	#BEHAVIOR
	
	def RunNode(self):
		#inputs
		circwidth  = self.Params.circwidth.value
		circheight = self.Params.circheight.value
		circthick  = self.Params.circthick.value
	
		#outputs
		self.Params.shape.value = {'IS':{'shapedef':'','shapetype':'Circle','__standardshape':'2', 'val1':str(circwidth),'val2':str(circheight),'thickness':str(circthick)}}