	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Panels/Definition/Multi Class.py;
	# Created by Bill Wood 25/4/20
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "Multi Class" )
		this.SetDescription( 'Set multiple classes' )
	
		#OIP Input Controls
		class1 = Marionette.OIPControl( 'Class 1', Marionette.WidgetType.PopupClasses, 'None')
		class1.SetDescription( "The list of valid gasket classes" )
	
		class2 = Marionette.OIPControl( 'Class 2', Marionette.WidgetType.PopupClasses, 'None')
		class2.SetDescription( "The list of valid gasket classes" )
	
		class3 = Marionette.OIPControl( 'Class 3', Marionette.WidgetType.PopupClasses, 'None')
		class3.SetDescription( "The list of valid gasket classes" )
	
		class4 = Marionette.OIPControl( 'Class 4', Marionette.WidgetType.PopupClasses, 'None')
		class4.SetDescription( "The list of valid gasket classes" )
	
		class5 = Marionette.OIPControl( 'Class 5', Marionette.WidgetType.PopupClasses, 'None')
		class5.SetDescription( "The list of valid gasket classes" )
	
		class6 = Marionette.OIPControl( 'Class 6', Marionette.WidgetType.PopupClasses, 'None')
		class6.SetDescription( "The list of valid gasket classes" )
	
		#Output Ports
		classlist = Marionette.PortOut('Classlist')
		classlist.SetDescription( "The selected gasket class" )
	
	#BEHAVIOR
	
	def RunNode(self):
	
		def getclass(classname,classlist,cno):
			noneset = classname is 'None'
			result = classlist
			if result:
				if (not noneset) and (classname not in result):
					result.append(classname)
			else: # empty list
				if not noneset:
					result = [classname]
			return result
			
		#outputs
		classlist = []
		classlist = getclass(self.Params.class1.value,classlist,1)
		classlist = getclass(self.Params.class2.value,classlist,2)
		classlist = getclass(self.Params.class3.value,classlist,3)
		classlist = getclass(self.Params.class4.value,classlist,4)
		classlist = getclass(self.Params.class5.value,classlist,5)
		classlist = getclass(self.Params.class6.value,classlist,6)
	
		self.Params.classlist.value = classlist