	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Panels/Definition/Panel Style Name.py;
	# Created by Bill Wood 25/4/20
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "Panel Style Name" )
		this.SetDescription( 'Select styled panel name' )
	
		#OIP Controls
		styleOptions = ['Panel Single Glazed','Panel Double Glazed','Panel Triple Glazed','Panel Solid Skinned','Panel Style 1','Panel Style 2','Panel Style 3','Panel Style 4','Panel Style 5','Panel Style 6','Panel Style 7','Panel Style 8','Panel Style 9','Panel Style 10']
		selectedstyle = Marionette.OIPControl('Style', Marionette.WidgetType.Popup, 0, styleOptions)
		selectedstyle.SetDescription( "The type of pivot location for an extrude path" )
	
		#Output Ports
		stylename = Marionette.PortOut('sName')
		stylename.SetDescription( "The selected style name" )
	
	#BEHAVIOR
	
	def RunNode(self):
		#outputs
		option = self.Params.styleOptions[self.Params.selectedstyle.value]
		self.Params.stylename.value = option