	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Extrude Path/Shapes/Other/EP Rectangle.py;
	# Created by Bill Wood 29/7/18
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "EP Rectangle" )
		this.SetDescription( 'Extrude path rectangle shape definition.' )
	
		#OIP Input Controls
		rectwidth = Marionette.OIPControl( 'Width', Marionette.WidgetType.RealCoord, 1)
		rectwidth.SetDescription( "Shape rectangle width" )
	
		rectheight = Marionette.OIPControl( 'Height', Marionette.WidgetType.RealCoord, 1)
		rectheight.SetDescription( "Shape rectangle height" )
	
		rectthick = Marionette.OIPControl( 'Thickness', Marionette.WidgetType.RealCoord, 0)
		rectthick.SetDescription( "Shape rectangle thickness" )
	
		#Output Ports
		shape = Marionette.PortOut('Shape')
		shape.SetDescription( "The resultant rectangle shape" )
	
	#BEHAVIOR
	
	def RunNode(self):
		#inputs
		rectwidth  = self.Params.rectwidth.value
		rectheight = self.Params.rectheight.value
		rectthick  = self.Params.rectthick.value
	
		#outputs
		self.Params.shape.value = {'IS':{'shapedef':'','shapetype':'Rectangle','__standardshape':'1', 'val1':str(rectwidth),'val2':str(rectheight),'thickness':str(rectthick)}}