	@Marionette.NodeDefinition
	#COMMAND;REFFILE;[UsrLib]/Defaults/Marionette/WW Tools/Panels/Gaskets/Gaskets Class.py;
	# Created by Bill Wood 25/4/20
	
	class Params(metaclass = Marionette.OrderedClass):
	#APPEARANCE
		#Name
		this = Marionette.Node( "Gasket Class" )
		this.SetDescription( 'Select a gasket class from popup list' )
	
		#OIP Input Controls
		classOptions = ['Panel-Gasket-Glass','Panel-Gasket-Solid','Panel-Gasket-1','Panel-Gasket-2','Panel-Gasket-3','Panel-Gasket-4','Panel-Gasket-5'
	]
		classname = Marionette.OIPControl('Class', Marionette.WidgetType.Popup, 0, classOptions)
		classname.SetDescription( "The list of valid gasket classes" )
	
		#Output Ports
		gasketname = Marionette.PortOut('sClass')
		gasketname.SetDescription( "The selected gasket class" )
	
	#BEHAVIOR
	
	def RunNode(self):
		#outputs
		option = self.Params.classOptions[self.Params.classname.value]
		self.Params.gasketname.value = option